Documentation

Remote Config Client API

Version: v1

Remote Config Client API

Version: v1

Remote Config Client API

Download OpenAPI specification:

Get Player Settings


Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Query parameters for "Get Player Settings"

projectId

string
required
projectId for the requesting Unity project

environmentId

string
optional environmentId to choose a non-default environment

configType

string
optional configType

key

array
optional filter to include settings with keys containing any of the specified values

type

array
optional filter to include settings with specific types in the response
items: enum: "int", "float", "long", "bool", "string", "json"

HTTP response status codes for "Get Player Settings":

Code samples for "Get Player Settings":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://config.unity3d.com//api/v1/settings"

Response example

{ "configs": { "settings": { "backgroundColor": "blue", "bossHealth": 223 } }, "metadata": { "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "assignmentId": "1c1e8bd4-c044-424f-89c6-d5bc654129e3", "configAssignmentHash": "7da21d376edba70e13c7b9f80ce232b372b5d0b1" }}

Request Player Settings with optional attributes for use in campaign (game overrides).


Request body for "Request Player Settings with optional attributes for use in campaign (game overrides)."

Media Type:
application/json

projectId

string
default: ""
required
The projectId for the requesting Unity project.
example: 4bab2f9d-07a9-46f4-86a9-9b4fbdc29ac2

userId

string
default: ""
required
The userID for the user requesting settings.
example: 0cb3fbaa-e66f-4919-9bb2-cbc2aa5a13af

customUserId

string
An optional custom userID.
example: myUserID

environmentId

string
An optional environmentID to choose a non-default environment.
example: 9ea5c0b7-6452-4b1b-aae3-521117ac5da3

configType

string
default: settings
An optional configType. Defaults to 'settings'
example: settings

configAssignmentHash

string
An optional config assignment hash to retrieve a specific config
example: 8209cd827d25f9f16f18f3e7b39f568857439133

key

array[string]
An optional array of filters for including settings with keys containing any of the specified values
example: ["key1","key2"]

type

array[string]
An optional array of filters for including settings with specific types
items: enum: "int", "float", "long", "bool", "string", "json"
example: ["json","int","bool"]

isDebugBuild

boolean
default: false
Should be set to 'true' when the request is coming from a debug build.
example: false

packageVersion

string
default: 2.0.0
Used to specify what Remote Config package version sent the request.
example: 2.1.1

attributionMetadata

string
default: ""
Used to specify the origin of the request for attribution.

attributes

object
Used to specify attributes of the requesting app and user for use in rules.
example: {"unity":{"appVersion":"1.0","appBuildVersion":"23","country":"US","cpu":"Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz","cpuFrequency":"3100","graphicsDeviceVendor":"Apple","language":"en","osVersion":"Mac OS X 10.14.4","platform":"macOS","ram":8192,"model":"Macbook Pro 13","timeSinceStart":60000},"app":{},"user":{}}

unity

object
Attributes retrieved by Unity.
example: {"appVersion":"1.0","appBuildVersion":"23","country":"US","cpu":"Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz","cpuFrequency":"3100","graphicsDeviceVendor":"Apple","language":"en","osVersion":"Mac OS X 10.14.4","platform":"macOS","ram":8192,"model":"Macbook Pro 13","timeSinceStart":60000}

appVersion

string
No description
example: 1.0

appBuildVersion

string
No description
example: 23

country

string
No description
example: US

cpu

string
No description
example: Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz

cpuFrequency

string
No description
example: 3100

graphicsDeviceVendor

string
No description
example: NVIDIA

language

string
No description
example: en

osVersion

string
No description
example: Mac OS X 10.14.4

platform

string
No description
example: macOS

ram

integer
No description
example: 8192

model

string
No description
example: Macbook Pro 13

timeSinceStart

integer
No description
example: 60000

app

object
Custom attributes for the app.
example: {"myAppAttribute":"myValue"}

user

object
Custom attributes related to the user.
example: {"userName":"coolUser27"}

HTTP response status codes for "Request Player Settings with optional attributes for use in campaign (game overrides).":

Code samples for "Request Player Settings with optional attributes for use in campaign (game overrides).":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "projectId": "4bab2f9d-07a9-46f4-86a9-9b4fbdc29ac2", "userId": "0cb3fbaa-e66f-4919-9bb2-cbc2aa5a13af", "customUserId": "myUserID", "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "configType": "settings", "key": [ "key1", "key2" ], "type": [ "json", "int", "bool" ], "isDebugBuild": true, "packageVersion": "2.1.1", "attributionMetadata": "{}", "attributes": { "unity": { "appVersion": "1.0", "appBuildVersion": "23", "country": "US", "cpu": "Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz", "cpuFrequency": "3100", "graphicsDeviceVendor": "Apple", "language": "en", "osVersion": "Mac OS X 10.14.4", "platform": "macOS", "ram": 8192, "model": "Macbook Pro 13", "timeSinceStart": 60000 }, "app": {}, "user": {} }}' \ "https://config.unity3d.com//api/v1/settings"

Response example

{ "configs": { "settings": { "backgroundColor": "blue", "bossHealth": 223 } }, "metadata": { "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "assignmentId": "1c1e8bd4-c044-424f-89c6-d5bc654129e3", "configAssignmentHash": "7da21d376edba70e13c7b9f80ce232b372b5d0b1" }}